%define		kdeframever	5.67
%define		qtver		5.9.0
%define		kfname		kdeclarative

Summary:	Integration of QML and KDE work spaces
Name:		kf5-%{kfname}
Version:	5.67.0
Release:	2
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	5f491d1b51cbafefff0d502c2818a1c9
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Qml-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kbookmarks-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kjobwidgets-devel >= %{version}
BuildRequires:	kf5-kpackage-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-solid-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	libepoxy-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDeclarative provides integration of QML and KDE work spaces.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf5-kconfig-devel
Requires:	kf5-kpackage-devel

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/kpackagelauncherqml
%attr(755,root,root) %ghost %{_libdir}/libKF5CalendarEvents.so.5
%attr(755,root,root) %{_libdir}/libKF5CalendarEvents.so.5.*.*
%attr(755,root,root) %ghost %{_libdir}/libKF5Declarative.so.5
%attr(755,root,root) %{_libdir}/libKF5Declarative.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libKF5QuickAddons.so.5
%attr(755,root,root) %{_libdir}/libKF5QuickAddons.so.*.*
%{_libdir}/qt5/qml/org/kde/kio/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kio/libkio.so
%{_libdir}/qt5/qml/org/kde/kwindowsystem/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kwindowsystem/libkwindowsystem.so
%attr(755,root,root) %{qt5dir}/qml/org/kde/draganddrop/libdraganddropplugin.so
%{qt5dir}/qml/org/kde/draganddrop/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kcoreaddons/libkcoreaddonsplugin.so
%{qt5dir}/qml/org/kde/kcoreaddons/qmldir
%{qt5dir}/qml/org/kde/kquickcontrols/ColorButton.qml
%{qt5dir}/qml/org/kde/kquickcontrols/KeySequenceItem.qml
%{qt5dir}/qml/org/kde/kquickcontrols/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/kquickcontrolsaddons/libkquickcontrolsaddonsplugin.so
%{qt5dir}/qml/org/kde/kquickcontrolsaddons/qmldir
%attr(755,root,root) %{qt5dir}/qml/org/kde/private/kquickcontrols/libkquickcontrolsprivateplugin.so
%{qt5dir}/qml/org/kde/private/kquickcontrols/qmldir
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kconfig/libkconfigplugin.so
%{_libdir}/qt5/qml/org/kde/kconfig/qmldir
%dir %{_libdir}/qt5/qml/org/kde/kcm
%{_libdir}/qt5/qml/org/kde/kcm/GridDelegate.qml
%{_libdir}/qt5/qml/org/kde/kcm/GridView.qml
%{_libdir}/qt5/qml/org/kde/kcm/GridViewKCM.qml
%{_libdir}/qt5/qml/org/kde/kcm/SimpleKCM.qml
%{_libdir}/qt5/qml/org/kde/kcm/libkcmcontrolsplugin.so
%dir %{_libdir}/qt5/qml/org/kde/kcm/private
%{_libdir}/qt5/qml/org/kde/kcm/private/GridViewInternal.qml
%{_libdir}/qt5/qml/org/kde/kcm/qmldir
%{_libdir}/qt5/qml/org/kde/kcm/ScrollView.qml
%{_libdir}/qt5/qml/org/kde/kcm/ScrollViewKCM.qml

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KDeclarative
%{_includedir}/KF5/kdeclarative_version.h
%{_libdir}/cmake/KF5Declarative
%attr(755,root,root) %{_libdir}/libKF5CalendarEvents.so
%attr(755,root,root) %{_libdir}/libKF5Declarative.so
%attr(755,root,root) %{_libdir}/libKF5QuickAddons.so
%{qt5dir}/mkspecs/modules/qt_KDeclarative.pri
%{qt5dir}/mkspecs/modules/qt_QuickAddons.pri
%changelog
* Sun Jul 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kdeclarative.git;a=log;h=master

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 7bd0cbd
- fix requires for devel package
- rel 2

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> ea6c6c7
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 991bc98
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 799ea6f
- Up to 5.65.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b0ab5c3
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> d986e76
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 2fd7212
- updated to 5.53.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> a9747aa
- updated to 5.45.0

* Sat Mar 24 2018 Jan Rękorajski <baggins@pld-linux.org> 7aeb467
- devel requires kf5-kconfig-devel
- rel 2

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 1774aac
- updated to 5.39.0

* Sun Jul 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 962c623
- * in library version

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f8a4880
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 29eaeee
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> c5bfc93
- updated to 5.19.0

* Mon Sep 07 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e8ca8d
- rel 3; files fixed

* Mon Sep 07 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e680c52
- rel 2; files fixes

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0049595
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d99700e
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 031e665
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 01a0700
- up to 5.4.0

